  ; dd am 03.10.1999


  PROCEDURE InitVars
    VAR_MASK   ChoicerMask, 'CH_DEF'

    VAR_QUERY   ListQ
    VAR_BOOL    ListQRes
    VAR_NUM     ListQOpt,0

    VAR_BROWSER Q
    VAR_BOOL    QRes

    VAR_NUM     LastStepSize,1
    VAR_NUM     NewSortNum,0
    VAR_NUM     ListQueryCount,0

    VAR_FLOAT   ListID,0

    VAR_STR     TmpStr
    VAR_NUM     TmpNum

    VAR_NUM     YNRes

    VAR_BOOL    ListIsHeader, TRUE

    VAR_BOOL    SearchHasBeenDone, FALSE

    VAR_BOOL    JustSaved,FALSE

    CONST_BOOL  LOAD_ONLY_YES, TRUE
    CONST_BOOL  LOAD_ONLY_NO,  FALSE

    CALC [ListQOpt] AS [ListQOpt]+[BROWSER_FLAG_ICON_OK]
    CALC [ListQOpt] AS [ListQOpt]+[BROWSER_FLAG_ICON_LIST_GEN]
    CALC [ListQOpt] AS [ListQOpt]+[BROWSER_FLAG_ICON_HELP]
  END_PROC


  PROCEDURE InitHooks
    CALC [ChoicerMask!MASK_HOOK_PRE_CLEAR]    AS 'PreClear'
    CALC [ChoicerMask!MASK_HOOK_IS_READY]     AS 'IsReady'
    CALC [ChoicerMask!MASK_HOOK_PRE_SAVE]     AS 'PreSave'
    CALC [ChoicerMask!MASK_HOOK_POST_SAVE]    AS 'PostSave'
    CALC [ChoicerMask!MASK_HOOK_PRE_SEARCH]   AS 'PreSearch'
    CALC [ChoicerMask!MASK_HOOK_DELETE]       AS 'Delete'
    CALC [ChoicerMask!MASK_HOOK_BUTTON]       AS 'Button'
    CALC [ChoicerMask!MASK_HOOK_NOTEMGR_EXIT] AS 'NoteManagerExit'
  END_PROC


  PROCEDURE ListPos_RecChange
    DATA_2_MASK [ChoicerMask],[ListQ]
  END_PROC


  PROCEDURE ListPos_GridOk
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Auswahl', '[FIELD_FLAG_ACTUAL]', '[FIELD_FLAG_PROTECTED]'
  END_PROC


  PROCEDURE ListPos_SetGrid VB LoadOnly
    CALC [ChoicerMask!MASK_QUERY_ID] AS 'CH_DEF_2'
    MASK_UPDATE [ChoicerMask]

    IF [LoadOnly]
      QUERY_LOAD [ListQ],[ListQRes],[ChoicerMask!MASK_QUERY_ID]
      IF [ListQRes]=FALSE
        MESSAGE 'Achtung Fehler','Die Abfrage zur Ermittlung der Choicer-Listen-Eintrge konnte nicht geladen werden'
        EXIT_PROC
      END_IF

      IF [RECORD_ID1]>[EPSILON]
        LOCAL_STR LocStartingWithClause
        CALC [LocStartingWithClause] AS CON('STARTING WITH RecordID = ',[RECORD_ID1|R0,0])
        QUERY_ADD_STRING [ListQ], [LocStartingWithClause]
        CALC [RECORD_ID1] AS 0.0
      END_IF
    ELSE
      MASK_STMNT [ChoicerMask], [ListQ]
    END_IF

    EXECUTE [ListQ],[ListQRes]
    IF [ListQRes]=FALSE
      MESSAGE 'Achtung Fehler','Die Abfrage zur Ermittlung der Choicer-Listen-Eintrge konnte nicht bersetzt werden'
      EXIT_PROC
    END_IF

    QUERY_COUNT [ListQ],[ListQueryCount]

    CALC [ListQ!QUERY_HOOK_REC_CHANGE]   AS 'ListPos_RecChange'
    CALC [ChoicerMask!MASK_HOOK_GRID_OK] AS 'ListPos_GridOk'

    GRID_SET [ChoicerMask], 'D.Grid', [ListQ], [ListQRes], [ListQOpt]

    CALC [ListIsHeader] AS FALSE
  END_PROC


  PROCEDURE ListHeaders_GridOk
    CALC [ChoicerMask!MASK_HOOK_GRID_OK] AS ''

    IF [JustSaved]=FALSE
      CALC [ChoicerMask!D.Headline]  AS [ListQ!Auswahl]
      CALC [ChoicerMask!Listenummer] AS [ListQ!Listenummer]
      CALC [ListID]                  AS [ListQ!RecordID]
    END_IF

    CALL ListPos_SetGrid [LOAD_ONLY_YES]

    FIELD_FLAG_ON_OFF [ChoicerMask], 'Auswahl',      '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert1',        '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.SubList',    '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert2',        '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert3',        '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert4',        '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert5',        '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Kurzbez',      '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Sortierung',   '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Sortierung', '',                       '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Doku'      , '',                       '[FIELD_FLAG_PROTECTED]'

    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Headline',   '[FIELD_FLAG_PROTECTED]', '[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Listenummer',  '[FIELD_FLAG_PROTECTED]', '[FIELD_FLAG_MODIFIED]'

    IF [ListQueryCount]>0
      FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Grid',  '[FIELD_FLAG_ACTUAL]', ''
    ELSE
      CALC [ChoicerMask!Sortierung] AS 1
      MASK_UPDATE [ChoicerMask]
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Auswahl', '[FIELD_FLAG_ACTUAL]', ''
    END_IF
  END_PROC


  PROCEDURE ListHeaders_SetGrid VB LoadOnly
    CALC [ChoicerMask!MASK_QUERY_ID] AS 'CH_DEF_1'
    MASK_UPDATE [ChoicerMask]

    IF [LoadOnly]
      QUERY_LOAD [ListQ],[ListQRes],[ChoicerMask!MASK_QUERY_ID]
      IF [ListQRes]=FALSE
        MESSAGE 'Achtung Fehler','Die Abfrage zur Ermittlung der Choicer-Listen-Kpfe konnte nicht geladen werden'
        EXIT_PROC
      END_IF
    ELSE
      MASK_STMNT [ChoicerMask], [ListQ]
      IF [ChoicerMask!D.Headline]<>''
        CALC [TmpStr] AS CON('Auswahl LIKE "',[ChoicerMask!D.Headline],'"')
        QUERY_ADD_WHERE [ListQ],255,[TmpStr]
      END_IF
    END_IF

    EXECUTE [ListQ],[ListQRes]
    IF [ListQRes]=FALSE
      MESSAGE 'Achtung Fehler','Die Abfrage zur Ermittlung der Choicer-Listen-Kpfe konnte nicht bersetzt werden'
      EXIT_PROC
    END_IF

    CALC [ChoicerMask!MASK_HOOK_GRID_OK] AS 'ListHeaders_GridOk'

    GRID_SET [ChoicerMask], 'D.Grid', [ListQ], [ListQRes], [ListQOpt]
  END_PROC


  PROCEDURE GetNewSortNum
    CALC [LastStepSize] AS 1
    CALC [NewSortNum]   AS 0

    QUERY  [Q]
        SELECT Listenummer,
               Sortierung,
               RecordID,
               RecFlag
          FROM Choicer
         WHERE ListeNummer = [ChoicerMask!Listenummer]
      ORDER BY Listenummer, Sortierung DESC
    END_QUERY

    EXECUTE [Q],[QRes]
    IF [QRes]=FALSE
      MESSAGE 'Achtung : Abbruch','Die Abfrage zum Ermitteln der nchsten Sortierungsnummer konnte nicht bersetzt werden'
      EXIT_PROC
    END_IF

    GET_DATA [Q],[QRes]
    IF [QRes]=FALSE
      EXIT_PROC
    END_IF
    CALC [NewSortNum] AS [Q!Sortierung]

    GET_DATA [Q],[QRes]
    IF [QRes]=FALSE
      CALC [NewSortNum] AS [NewSortNum] + [LastStepSize]
      EXIT_PROC
    END_IF

    CALC [LastStepSize] AS ABS([Q!Sortierung]-[NewSortNum])
    CALC [NewSortNum]   AS [NewSortNum] + [LastStepSize]
  END_PROC


  PROCEDURE ClearPosFields
    CALL GetNewSortNum

    CALC [ChoicerMask!MASK_RECORD_ID]   AS 0.0
    CALC [ChoicerMask!Auswahl]          AS ''
    CALC [ChoicerMask!Wert1]            AS 0
    CALC [ChoicerMask!MASK_RECORD_FLAG] AS 0
    CALC [ChoicerMask!MASK_EVENT_FLAG]  AS 0
    CALC [ChoicerMask!Wert2]            AS 0.0
    CALC [ChoicerMask!Wert3]            AS ' '
    CALC [ChoicerMask!Wert4]            AS ''
    CALC [ChoicerMask!Wert5]            AS FALSE
    CALC [ChoicerMask!Kurzbez]          AS ''
    CALC [ChoicerMask!Sortierung]       AS [NewSortNum]

    MASK_UPDATE [ChoicerMask]

    FIELD_FLAG_ON_OFF [ChoicerMask], 'Auswahl',      '[FIELD_FLAG_ACTUAL]', '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert1',        '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.SubList',    '',                    '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert2',        '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert3',        '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert4',        '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert5',        '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Kurzbez',      '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'Sortierung',   '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Sortierung', '',                    '[FIELD_FLAG_PROTECTED]'
    FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Doku',       '',                    '[FIELD_FLAG_PROTECTED]+[FIELD_FLAG_MODIFIED]'
  END_PROC


  PROCEDURE PreClear
    IF [ChoicerMask!MASK_RECORD_ID]>[EPSILON]
      CALL ClearPosFields
      IF [SearchHasBeenDone]
        CALL ListPos_SetGrid [LOAD_ONLY_YES]
      END_IF
    ELSE
      CALC [ListQ!QUERY_HOOK_REC_CHANGE] AS ''

      CALC [ListID]                  AS  0
      CALC [ChoicerMask!D.Headline]  AS ''
      CALC [ChoicerMask!ListeNummer] AS  0
      MASK_UPDATE [ChoicerMask]

      CALL ClearPosFields


      FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Headline',   '[FIELD_FLAG_ACTUAL]',    '[FIELD_FLAG_PROTECTED]'
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Listenummer',  '',                       '[FIELD_FLAG_PROTECTED]'

      FIELD_FLAG_ON_OFF [ChoicerMask], 'Auswahl',      '[FIELD_FLAG_PROTECTED]'  ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert1',        '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert2',        '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert3',        '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert4',        '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Wert5',        '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Kurzbez',      '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'Sortierung',   '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Sortierung', '[FIELD_FLAG_PROTECTED]', ''
      FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Doku',       '[FIELD_FLAG_PROTECTED]', ''

      CALL ListHeaders_SetGrid [LOAD_ONLY_YES]

      CALC [ListIsHeader] AS TRUE
    END_IF

    CALC [SearchHasBeenDone] AS FALSE

    CALC [ChoicerMask!MASK_ACTION] AS 1
  END_PROC


  PROCEDURE IsReady
    CALC [ChoicerMask!MASK_HOOK_IS_READY] AS ''

    IF [RECORD_ID1]>[EPSILON]
      LOCAL_NUM LocListNum

      ; 1. ListeNummer extrahieren - egal welcher Eintrag in der Liste bergeben wurde
      QUERY  [Q]
        SELECT ListeNummer
          FROM Choicer
         WHERE RecordID = [RECORD_ID1|R0,0]
      END_QUERY

      EXECUTE [Q],[QRes]
      IF [QRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF

      GET_DATA [Q],[QRes]
      IF [QRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF
      CALC [LocListNum] AS [Q!ListeNummer]

      ; 2. Headline zur Liste whlen
      QUERY  [ListQ]
        SELECT Auswahl,
               Listenummer,
               RecordID
          FROM Choicer
         WHERE Listenummer = [LocListNum]
           AND Sortierung  = 0
      END_QUERY

      EXECUTE [ListQ],[ListQRes]
      IF [ListQRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF

      GET_DATA [ListQ],[ListQRes]
      IF [ListQRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF

      CALL ListHeaders_GridOk
    ELSE_IF [RECORD_ID2]>[EPSILON]
      QUERY  [ListQ]
        SELECT Auswahl,
               Listenummer,
               RecordID
          FROM Choicer
         WHERE Listenummer = [RECORD_ID2|R0,0]
           AND Sortierung  = 0
      END_QUERY

      EXECUTE [ListQ],[ListQRes]
      IF [ListQRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF

      GET_DATA [ListQ],[ListQRes]
      IF [ListQRes]=FALSE
        CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
        EXIT_PROC
      END_IF

      CALL ListHeaders_GridOk
    ELSE
      CALL ListHeaders_SetGrid [LOAD_ONLY_YES]
    END_IF
  END_PROC


  PROCEDURE PreSearch
    IF [ListIsHeader]
      CALL ListHeaders_SetGrid [LOAD_ONLY_NO]
    ELSE
      CALL ListPos_SetGrid [LOAD_ONLY_NO]
    END_IF

    QUERY_COUNT [ListQ],[TmpNum]
    IF [TmpNum]>1
      FIELD_FLAG_ON_OFF [ChoicerMask], 'D.Grid', '[FIELD_FLAG_ACTUAL]', ''
    ELSE
      GET_DATA [ListQ],[ListQRes]
      CALL [ChoicerMask!MASK_HOOK_GRID_OK]
    END_IF

    CALC [SearchHasBeenDone] AS TRUE

    CALC [ChoicerMask!MASK_ACTION] AS 1
  END_PROC


  PROCEDURE PreSave
    IF [ListIsHeader]
      IF [ChoicerMask!MASK_RECORD_ID]<[EPSILON]
        LOCAL_BOOL OK,FALSE

        IF [ChoicerMask!D.Headline]<>''
          IF [ChoicerMask!ListeNummer]>0
            QUERY  [Q]
              SELECT ListeNummer, RecordID
                FROM Choicer
               WHERE ListeNummer = [ChoicerMask!ListeNummer]
            END_QUERY

            EXECUTE [Q],[QRes]
            IF [QRes]=FALSE
              MESSAGE 'Achtung : Abbruch','Die Abfrage zum Ermitteln einer vorhanden Listennummer konnte nicht bersetzt werden'
              EXIT_PROC
            END_IF

            GET_DATA [Q],[QRes]
            IF [QRes]
              MESSAGE 'Achtung : Das Speichern wird verhindert','Eine Choicer-Liste mit dieser Nummer existiert schon'
              CALC [ChoicerMask!MASK_ACTION] AS 1
              EXIT_PROC
            ELSE
              CALC [OK] AS TRUE
            END_IF
          END_IF
        END_IF

        IF [OK]=FALSE
          MESSAGE 'Achtung : Das Speichern wird verhindert','Bitte whlen Sie zunchst eine Liste aus oder geben Sie eine neue Listen-Bezeichnung und Listen-Nummer an'
          CALC [ChoicerMask!MASK_ACTION] AS 1
          EXIT_PROC
        ELSE
          CALC [YNRes] AS [ID_NO]
          GET_YES_NO 'Achtung : Dieser Vorgang legt eine neue Choicer-Liste an','Soll mit der angegebenen Listen-Bezeichnung wirklich eine neue Liste erstellt werden ?',[YNRes]
          IF [YNRes]=[ID_YES]
            CALC [ChoicerMask!Auswahl] AS [ChoicerMask!D.Headline]
            MASK_UPDATE [ChoicerMask]
            CALC [JustSaved] AS TRUE
          ELSE
            CALC [ChoicerMask!MASK_ACTION] AS 1
            EXIT_PROC
          END_IF
        END_IF
      END_IF
    END_IF
  END_PROC


  PROCEDURE PostSave
    IF [ListIsHeader]
      IF [JustSaved]
        CALC [ChoicerMask!Auswahl] AS ''
        CALC [ChoicerMask!MASK_RECORD_ID] AS 0.0
        CALC [ChoicerMask!Sortierung]     AS 1

        CALL ListHeaders_GridOk

        CALC [JustSaved] AS FALSE
      END_IF
    ELSE
      CALC [RECORD_ID1] AS [ChoicerMask!MASK_RECORD_ID]
      CALL ListPos_SetGrid [LOAD_ONLY_YES]
      ; QUERY_REFRESH [ListQ],FALSE
    END_IF
  END_PROC


  PROCEDURE NoteManagerExit
    QUERY_REFRESH [ListQ],FALSE
  END_PROC


  PROCEDURE Delete
    IF [ChoicerMask!MASK_RECORD_ID]<=[EPSILON]
      CALC [ChoicerMask!MASK_ACTION] AS 1
    END_IF

    CALC [YNRes] AS [ID_NO]

    GET_YES_NO 'Achtung','Soll die ganze Liste gelscht werden ?',[YNRes]
    IF [YNRes]=[ID_YES]
      QUERY  [Q]
        SELECT Wert5
          FROM Choicer
         WHERE Listenummer = [ChoicerMask!ListeNummer]
           AND Sortierung  = 0
      END_QUERY
      EXECUTE [Q],[QRes]
      IF [QRes]=FALSE
        MESSAGE 'Achtung : Abbruch','Die Abfrage fr die Lschsperre konnte nicht bersetzt werden'
        CALC [ChoicerMask!MASK_ACTION] AS 1
        EXIT_PROC
      END_IF
      GET_DATA [Q],[QRes]
      IF [QRes]
        IF [Q!Wert5]=FALSE
          MESSAGE 'Achtung : Abbruch','Diese Liste darf nicht gelscht werden'
          CALC [ChoicerMask!MASK_ACTION] AS 1
          EXIT_PROC
        END_IF
      END_IF

      QUERY  [Q]
        DELETE
          FROM Choicer
         WHERE ListeNummer = [ChoicerMask!ListeNummer]
      END_QUERY

      EXECUTE [Q],[QRes]
      IF [QRes]=FALSE
        MESSAGE 'Achtung : Abbruch','Die Liste konnte nicht gelscht werden'
      ELSE
        MESSAGE 'Information','Die Liste wurde gelscht'

        CALC [ChoicerMask!MASK_RECORD_ID] AS 0.0
        MASK_UPDATE [ChoicerMask]
        CALL PreClear
      END_IF
    ELSE
      GET_YES_NO 'Achtung','Soll der aktuelle Listen-Eintrag gelscht werden ?',[YNRes]
      IF [YNRes]=[ID_YES]
        QUERY  [Q]
          DELETE
            FROM Choicer
           WHERE RecordID = [ChoicerMask!MASK_RECORD_ID|R0,0]
        END_QUERY

        EXECUTE [Q],[QRes]
        IF [QRes]=FALSE
          MESSAGE 'Achtung : Abbruch','Der Listen-Eintrag konnte nicht gelscht werden'
        ELSE
          MESSAGE 'Information','Der Listen-Eintrag wurde gelscht'
          CALL ListPos_SetGrid [LOAD_ONLY_YES]
        END_IF
      END_IF
    END_IF

    CALC [ChoicerMask!MASK_ACTION] AS 1
  END_PROC


  PROCEDURE SortByAuswahl
    IF [ChoicerMask!ListeNummer]<=0
      MESSAGE 'Abbruch','Sie haben keine Liste ausgewhlt.',[MESSAGE_WARNING]
      EXIT_PROC
    END_IF

    LOCAL_NUM   LocNum
    GET_YES_NO 'Achtung','Wollen Sie die Liste alphabetisch nach Auswahl sortieren ?',[LocNum]
    IF [LocNum]<>[ID_YES]
      EXIT_PROC
    END_IF

    LOCAL_BOOL  LocRes
    LOCAL_QUERY LocSQ
    LOCAL_QUERY LocUQ

    WAIT_INFO 'Bitte warten.','Die Liste wird neu sortiert ...'
        
    QUERY [LocSQ]
      SELECT RecordID, Auswahl, Listenummer
        FROM CHOICER
       WHERE Listenummer = [ChoicerMask!ListeNummer]
         AND Sortierung > 0
    ORDER BY Auswahl
    END_QUERY
    
    EXECUTE [LocSQ],[LocRes]
    IF [LocRes]=FALSE
      END_WAIT
      MESSAGE 'Abbruch','Die Sortier-Abfrage konnte nicht ausgefhrt werden.',[MESSAGE_ERROR]
      EXIT_PROC
    END_IF

    GET_DATA [LocSQ],[LocRes]
    IF [LocRes]=FALSE
      END_WAIT
      MESSAGE 'Abbruch','Die Liste enthlt keine Eintrge.',[MESSAGE_INFO]
      EXIT_PROC
    END_IF

    CALC [LocNum] AS 1
    
    WHILE [LocRes]
      QUERY [LocUQ]
        UPDATE CHOICER
           SET Sortierung = [LocNum]
         WHERE RecordID = [LocSQ!RecordID|R0,0]
      END_QUERY
      
      EXECUTE [LocUQ],[LocRes]
      IF [LocRes]=FALSE
        END_WAIT
        MESSAGE 'Abbruch','Ein Listen-Eintrag konnte nicht aktualisiert werden.',[MESSAGE_ERROR]
        EXIT_PROC
      END_IF

      INC [LocNum]
      GET_DATA [LocSQ],[LocRes]
    END_WHILE

    END_WAIT
    MESSAGE 'Info','Die Liste wurde umsortiert.',[MESSAGE_INFO]

    QUERY_REFRESH [ListQ],FALSE
    CALL ListPos_RecChange
  END_PROC


  PROCEDURE Button
    IF [ChoicerMask!MASK_ACT_FIELD_ID]=9990022
      SCRIPT 'SetPosNr.CSH', 4, [ChoicerMask!Listenummer], [ChoicerMask!Sortierung], 1
      QUERY_REFRESH [ListQ],FALSE
      CALL ListPos_RecChange
    ELSE_IF [ChoicerMask!MASK_ACT_FIELD_ID]=9990090
      IF [ListID]>[EPSILON]
        NOTE_SHOW 'CHOICER', 1, [ListID]
      END_IF
    ELSE_IF [ChoicerMask!MASK_ACT_FIELD_ID]=9990095
      CALL SortByAuswahl
    ELSE_IF [ChoicerMask!MASK_ACT_FIELD_ID]=9990033
      QUERY  [Q]
          SELECT Auswahl, Listenummer, RecordID, RecFlag
            FROM Choicer
           WHERE Sortierung = 0
        ORDER BY Auswahl, Listenummer
      END_QUERY
      IF [ChoicerMask!EventFlag]>0
        CALC [TmpStr] AS CON('STARTING WITH ListeNummer = ',[ChoicerMask!EventFlag])
        QUERY_ADD_STRING [Q], [TmpStr]
      END_IF

      VIEW [Q],[QRes], 'Choicer-Listen-bersicht'
      IF [QRes]=FALSE
        IF [ChoicerMask!EventFlag]>0
          GET_YES_NO 'Achtung','Soll die bestehende Zuordnung aufgehoben werden ?',[YNRes]
          IF [YNRes]=[ID_YES]
            CALC [ChoicerMask!EventFlag] AS 0
            MASK_UPDATE [ChoicerMask]
          END_IF
        END_IF
      ELSE
        CALC [ChoicerMask!EventFlag] AS [Q!Listenummer]
        MASK_UPDATE [ChoicerMask]
      END_IF
    END_IF
  END_PROC


  PROCEDURE Main
    CALL InitVars
    CALL InitHooks

    MASK_PROCESS [ChoicerMask]
  END_PROC


SCRIPT_BEGIN
  CALL Main
SCRIPT_END