  ; DD: 20.11.2000 Gibt alle Datenstze in der Tabelle "LockRecs" wieder frei.
  ;                Achtung Datensatz "0" darf auf keinen Fall gelscht werden.

  PROCEDURE InitVars
    VAR_QUERY Q
    VAR_BOOL  Qres
    VAR_NUM   YNRes
  END_PROC


  PROCEDURE Main
    CALC [YNRes] AS [ID_YES]
    GET_YES_NO 'Achtung, sind Sie sicher ?','Sollen alle gelockten Datenstze wieder freigegeben|und die Systemzeit neu gesetzt werden?',[YNRes]
    IF [YNRes]<>[ID_YES]
      EXIT_PROC
    END_IF

    QUERY [Q]
      DELETE
        FROM LockRecs
       WHERE RecordID  > 0
         AND LockEvent < 1000
    END_QUERY

    EXECUTE [Q],[QRes]
    IF [QRes]=FALSE
      MESSAGE 'Achtung Fehler','Die Datenstze konnten nicht freigegeben werden!||Bitte versuchen Sie die Datenbank zu reparieren oder|rufen Sie den Service an.',[MESSAGE_ERROR]
      EXIT_PROC
    END_IF

    FLAG_SET [Q!VIEW_FLAG], [BROWSER_FLAG_SET_UPDATE_TIME], TRUE
    FLAG_SET [Q!VIEW_FLAG], [BROWSER_FLAG_SET_USER],        FALSE

    QUERY [Q]
      UPDATE LockRecs
         SET EventFlag = EventFlag + 0
       WHERE RecordID  = 0
    END_QUERY

    EXECUTE [Q],[QRes]

    MESSAGE 'Erfolg!','Die gelockten Datenstze wurden freigegeben|und die Systemzeit wurde gesetzt!'
  END_PROC


SCRIPT_BEGIN
  CALL InitVars
  CALL Main
SCRIPT_END
