  ; Legende: written by GH, 30.01.97
  ;          Updates:   DD, 09.02.99, neue Nummernkreis-Technik


  INCLUDE newnum.INC


  INCLUDE Routines.INC

  INCLUDE ShowMap.INC

  INCLUDE Choicer.INC
    ; importiert PROCEDURE ChoicerGet  VAR_BOOL CG.ViewIt,
    ;                                  VAR_STR  CG.MaskName,
    ;                                  VAR_STR  CG.VarName,
    ;                                  VAR_STR  CG.VarNameView,
    ;                                  VAR_NUM  CG.ChoicerList,
    ;                                  VAR_STR  CG.ChoicerField,
    ;                                  VAR_STR  CG.HeaderField,
    ;                                  VAR_NUM  CG.HeaderWidth,
    ;                                  VAR_STR  CG.HeaderName,
    ;                                  VAR_STR  CG.ViewHeader,
    ;                                 ~VAR_BOOL CG.Result


  PROCEDURE InitVars
    VAR_BOOL    IDEAL_MODULE_CRM, TRUE

    CONST_NUM   WORKMODE_NEUANLAGE, 1
    CONST_NUM   WORKMODE_BEARBEITEN,2

    VAR_BOOL    RegIsSetKenner,      FALSE
    VAR_BOOL    RegIsSetTermine,     FALSE

    VAR_LIST    NotesList

    VAR_NUM     YNRes
    VAR_NUM     WorkMode

    ; Version   4.10.00 +
    VAR_NUM     QueryNo
    VAR_NUM     LastMode
    VAR_NUM     OpenModus,         [WORKMODE_BEARBEITEN]
    VAR_STR     QueryIDStr
    VAR_BOOL    SwitchToLastModus, TRUE
    ; Version 4.10.00 -

    VAR_NUM     Number1DefID,0
    VAR_STR     Number1FieldName, 'WorkMask!Personalnummer'
    VAR_STR     Recieved1Number
    VAR_BOOL    NumberBlock,     FALSE
    CALL BlkNum [Number1DefID], [NumberBlock]

    VAR_MASK    WorkMask,'130'
    VAR_FLOAT   TmpID
    VAR_BOOL    SBRes
    VAR_BROWSER SB

    VAR_STR     CRLF
    VAR_STR     TmpStr
    VAR_STR     Anrede
    VAR_STR     Geschlecht
    VAR_STR     Personalnummer

    VAR_NUM     FieldFlag

    VAR_BOOL    BelegRes
    VAR_QUERY   BelegQ
    VAR_NUM     GridOption

    CALC [GridOption] AS [BROWSER_FLAG_ICON_OK]+[BROWSER_FLAG_ICON_NOTES]+[BROWSER_FLAG_ICON_LIST_GEN]+[BROWSER_FLAG_ICON_SEARCH]+[BROWSER_FLAG_ICON_INSERT]


    CALC [WorkMode] AS [WorkMask!MASK_ACT_MODUS]
    CALC [LastMode] AS [WorkMode]

    CALC [CRLF]     AS CHAR(#13#10)

    CALC [WorkMask!MASK_HOOK_INFO]       AS 'InfoHook'
    CALC [WorkMask!MASK_HOOK_SHOW]       AS 'WorkMaskShowHook'
    CALC [WorkMask!MASK_HOOK_PRINT]      AS 'PrintHook'
    CALC [WorkMask!MASK_HOOK_MODUS]      AS 'ModusHook'
    CALC [WorkMask!MASK_HOOK_DELETE]     AS 'DeleteHook'
    CALC [WorkMask!MASK_HOOK_BUTTON]     AS 'ButtonHook'
    CALC [WorkMask!MASK_HOOK_PRE_SAVE]   AS 'PreSaveHook'
    CALC [WorkMask!MASK_HOOK_POST_SAVE]  AS 'PostSaveHook'
    CALC [WorkMask!MASK_HOOK_POST_EDIT]  AS 'PostEditHook'
    CALC [WorkMask!MASK_HOOK_SEARCH]     AS 'PostSearchHook'
    CALC [WorkMask!MASK_HOOK_REG_TAB]    AS 'RegisterHook'
    CALC [WorkMask!MASK_HOOK_POST_CLEAR] AS 'MaskClearHook'

    CALC [BelegQ!QUERY_HOOK_REC_CHANGE]  AS ''
    CALC [WorkMask!MASK_HOOK_GRID_OK]    AS 'MaskGridOKHook'
  END_PROC



  PROCEDURE ProtectOneField VAR_STR OneFieldName, VB ProtectIt
    FIELD_FLAG_GET [WorkMask],[OneFieldName], [FieldFlag]
    FLAG_SET [FieldFlag],[FIELD_FLAG_PROTECTED], [ProtectIt]
    FIELD_FLAG_SET [WorkMask],[OneFieldName], [FieldFlag]
  END_PROC


  ; Version 4.10.00 +
  PROCEDURE SetQueryID
    CALC [QueryNo] AS 130000 + [WorkMode]
    CALC [QueryIDStr] AS [QueryNo]
    CALC [WorkMask!MASK_QUERY_ID] AS [QueryIDStr]
  END_PROC
  ; Version 4.10.00 -



  PROCEDURE DeleteHook
    IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
      CALC [WorkMask!MASK_ACTION] AS 1
      MESSAGE 'Abbruch','Sie haben keinen Datensatz ausgewhlt',[MESSAGE_WARNING]
      EXIT_PROC
    END_IF

    SCRIPT 'ADR_DEL1.CSH',[WorkMask!MASK_RECORD_ID]
    IF [GLOB_RES_STR1]<>'0'
;      CALL LetNumber [Number1DefID], [Number1FieldName]
      MASK_CLEAR [WorkMask]
    END_IF

    CALC [WorkMask!MASK_ACTION] AS 1
  END_PROC



  PROCEDURE ReadDocuNotes
    NOTE_READ [NotesList],[SBRes],'DOCMGRI',3,[BelegQ!I.RecordID]
    MEMO_SET [WorkMask],[NotesList],'M_TEXT2'
    IF [SBRes]=FALSE
      EXIT_PROC
    END_IF
  END_PROC



  PROCEDURE BelegeChangeHook
    IF [WorkMask!MASK_ACT_REG_TAB]='TERMINE'
      IF [RegIsSetTermine]
        CALL ReadDocuNotes
      END_IF
    END_IF
  END_PROC



  PROCEDURE ShowTermine
    IF [RegIsSetTermine]=FALSE
      EXIT_PROC
    END_IF

    IF [WorkMask!Termin]
      ; alle Termine des Mitarbeiters
      QUERY [BelegQ]
          SELECT [W 10 N "Termin am" ]I.NextProcessDate,
                 [W 5  N "um"        ]I.NextProcessTime,
                 [H C3A="Termin"]I.NextProcessType,
                 [W 40 N "Bemerkung" ]I.ItemNote,
                 [W 10 N "Termin am" ]I.FinishDate,
                 [W 5  N "um"        ]I.FinishTime,
                 [W 40 N "Ordner"    ]H.FileName,
                 [W 10 N "Termin vom"]I.CreateDate,
                 [W 5  N "um "       ]I.CreateTime,

                 [H]I.HeaderID,
                 [H]I.RightActionLevel,
                 [H]I.CreatorID,
                 [H]I.CreateDTID,
                 [H]I.NextProcessorID,
                 [H]I.NextProcessDTID,
                 [H]I.FinishDuranceID,
                 [H]I.NextProcessDuranceID,
                 I.RecordID,
                 I.RecFlag

            FROM DOCMGRI I, DOCMGRH H

           WHERE I.HeaderID  = H.RecordID
             AND I.FinisherID  = [WorkMask!MASK_RECORD_ID|R0,0]
             AND I.HeaderID  > 0

        ORDER BY I.NextProcessDate desc, I.NextProcessTime desc
      END_QUERY
    ELSE_IF [WorkMask!alles]
      ; alle Dokumente des Mitarbeiters
      QUERY [BelegQ]
          SELECT [W 10 N "Termin am" ]I.FinishDate,
                 [W 5  N "um"        ]I.FinishTime,
                 [W 40 N "Bemerkung" ]I.ItemNote,
                 [W 40 N "Ordner"    ]H.FileName,
                 [W 10 N "Termin vom"]I.CreateDate,
                 [W 5  N "um "       ]I.CreateTime,

                 [H]I.HeaderID,
                 [H]I.RightActionLevel,
                 [H]I.CreatorID,
                 [H]I.CreateDTID,
                 [H]I.NextProcessorID,
                 [H]I.NextProcessDTID,
                 [H]I.FinishDuranceID,
                 [H]I.NextProcessDuranceID,
                 I.NextProcessType,
                 I.RecordID,
                 I.RecFlag

            FROM DOCMGRI I, DOCMGRH H

           WHERE I.HeaderID  = H.RecordID
             AND I.FinisherID  = [WorkMask!MASK_RECORD_ID|R0,0]
             AND I.HeaderID  > 0

        ORDER BY I.FinishDate desc, I.FinishTime desc
      END_QUERY
    ELSE
      ; alle offenen Termine des Mitarbeiters
      QUERY [BelegQ]
          SELECT [W 10 N "Termin am" ]I.FinishDate,
                 [W 5  N "um"        ]I.FinishTime,
                 [W 40 N "Bemerkung" ]I.ItemNote,
                 [W 40 N "Ordner"    ]H.FileName,
                 [W 10 N "Termin vom"]I.CreateDate,
                 [W 5  N "um "       ]I.CreateTime,

                 [H]I.HeaderID,
                 [H]I.RightActionLevel,
                 [H]I.CreatorID,
                 [H]I.CreateDTID,
                 [H]I.NextProcessorID,
                 [H]I.NextProcessDTID,
                 [H]I.FinishDuranceID,
                 [H]I.NextProcessDuranceID,
                 I.NextProcessType,
                 I.RecordID,
                 I.RecFlag

            FROM DOCMGRI I, DOCMGRH H

           WHERE I.HeaderID  = H.RecordID
             AND I.NextProcessorID  = [WorkMask!MASK_RECORD_ID|R0,0]
             AND I.FinishDuranceID  = 0
             AND I.HeaderID  > 0
        ORDER BY I.FinishDate desc, I.FinishTime desc
      END_QUERY
    END_IF

    EXECUTE [BelegQ], [BelegRes]
    IF [BelegRes]
      CALC [BelegQ!QUERY_HOOK_REC_CHANGE] AS 'BelegeChangeHook'

      GRID_SET [WorkMask], '1300807', [BelegQ], [BelegRes], [GridOption]
    END_IF

    CALL ReadDocuNotes
  END_PROC



  PROCEDURE PostEditHook
    IF [WorkMask!MASK_ACT_FIELD_MODIFIED]=FALSE
      EXIT_PROC
    END_IF

    IF [WorkMask!MASK_ACT_FIELD_NAME]='Ort'
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='PLZ'
      CALC [WorkMask!FreeInt3] AS VAL([WorkMask!PLZ])
      MASK_UPDATE [WorkMask]
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='Termin'
      CALL ShowTermine
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='offene'
      CALL ShowTermine
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='alles'
      CALL ShowTermine
    END_IF
  END_PROC



  PROCEDURE PostSearchHook
    IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
      CALC [WorkMask!MASK_ACTION] AS 1
      EXIT_PROC
    END_IF

    IF [WorkMask!MASK_ACT_REG_TAB]='TERMINE'
      CALC [RegIsSetTermine] AS TRUE
      CALC [BelegQ!QUERY_HOOK_REC_CHANGE] AS 'BelegeChangeHook'
      CALL ShowTermine
    END_IF

    IF [NumberBlock]
      CALL ProtectOneField 'Personalnummer', TRUE
    END_IF
  END_PROC




  PROCEDURE GetMitarbeiter
    IF [RECORD_ID1]<[EPSILON]
      EXIT_PROC
    END_IF

    QUERY [SB]
      SELECT *
        FROM ADRESSEN
       WHERE RecordID = [RECORD_ID1|R0,0]
    END_QUERY

    EXECUTE [SB],[SBRes]
    IF [SBRes]=FALSE
      MESSAGE 'Abbruch','Der Adress-Datensatz konnte nicht geladen werden.',[MESSAGE_WARNING]
      EXIT_PROC
    END_IF

    GET_DATA [SB],[SBRes]
    IF [SBRes]=FALSE
      MESSAGE 'Abbruch','Der Adress-Datensatz konnte nicht geladen werden.',[MESSAGE_WARNING]
      EXIT_PROC
    END_IF

    DATA_2_MASK	[WorkMask],[SB]

    CALL PostSearchHook
  END_PROC



  PROCEDURE InfoHook
    IF [WorkMask!MASK_LAST_CHOICE]=130013
      IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
        CALC [WorkMask!MASK_ACTION] AS 1
        MESSAGE 'Abbruch','Sie haben keinen Mitarbeiter ausgewhlt.',[MESSAGE_WARNING]
        EXIT_PROC
      END_IF

      LOGIN_DATA [WorkMask!MASK_RECORD_ID]

    ELSE_IF [WorkMask!MASK_LAST_CHOICE]=130040
      SCRIPT 'adr_alle.csh',[WorkMask!MASK_RECORD_ID]

      CALC [TmpID] AS VAL([GLOB_RES_STR1])
      IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
        IF [TmpID]>[EPSILON]
          CALC [RECORD_ID1] AS [TmpID]
          CALL GetMitarbeiter
        END_IF
      ELSE
        CALC [TmpID] AS ABS([TmpID]-[WorkMask!MASK_RECORD_ID])
        IF [TmpID]<[EPSILON]
          EXIT_PROC
        END_IF

        GET_YES_NO 'Achtung','Sie haben eine andere Adresse selektiert.||Wollen Sie diese andere Adresse laden ?',[YNRes]
        IF [YNRes]<>[ID_YES]
          EXIT_PROC
        END_IF

        CALC [RECORD_ID1] AS VAL([GLOB_RES_STR1])
        CALL GetMitarbeiter
      END_IF
    ELSE_IF [WorkMask!MASK_LAST_CHOICE]=130050
      SCRIPT 'adr_documents.csh', 0, [WorkMask!MASK_RECORD_ID], [ACT_MIT_ID], 0, [WorkMask!MASK_BASE], [WorkMask!MASK_XREF_NAME]
      CALL ShowTermine
    END_IF
  END_PROC



  PROCEDURE PreSaveHook
    IF [WorkMode]<>[WORKMODE_NEUANLAGE]
      IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
        CALC [WorkMask!MASK_ACTION] AS 1
        MESSAGE 'Abbruch','Sie befinden sich nicht im Modus Neuanlage',[MESSAGE_ERROR]
        EXIT_PROC
      END_IF
    END_IF

    IF [WorkMask!MASK_ACT_MODUS]=[WORKMODE_NEUANLAGE]
      CALL NewNum [Number1DefID], [Number1FieldName], 0, [SBRes]
      IF [SBRes]=FALSE
        CALC [WorkMask!MASK_ACTION] AS 1
        EXIT_PROC
      END_IF
    END_IF

    ; Version 4.10.01 +
    IF [WorkMask!MAktiv]>1
      GET_YES_NO 'Achtung','Der Datensatz ist im Archiv.||Soll der Mitarbeiter-Datensatz wieder aktiviert werden ?',[YNRes]
      IF [YNRes]=[ID_YES]
        CALC [WorkMask!MAktiv] AS 1
        MASK_UPDATE [WorkMask]
      END_IF
    END_IF
    ; Version 4.10.01 -

    IF [WorkMask!Suchbegriff]=''
      CALC [WorkMask!Suchbegriff] AS [WorkMask!Name1]
      MASK_UPDATE [WorkMask]
    END_IF

    CALC [WorkMask!MASK_ACTION] AS 0
  END_PROC

  PROCEDURE PostSaveHook
    IF [WorkMode]=[WORKMODE_NEUANLAGE]
      IF [WorkMask!MASK_RECORD_ID]>[EPSILON]
        CALL FreeNum [Number1DefID], '',[SBRes]

        CALC [WorkMode]                AS [WORKMODE_BEARBEITEN]
        CALC [WorkMask!MASK_ACT_MODUS] AS [WORKMODE_BEARBEITEN]
      ELSE
        CALL FreeNum [Number1DefID], [Number1FieldName], [SBRes]
      END_IF
    END_IF
  END_PROC


  PROCEDURE ModusHook
    ; Version 4.10.00 +
    MASK_CLEAR  [WorkMask]

    CALC [WorkMode] AS [WorkMask!MASK_ACT_MODUS]
    CALC [LastMode] AS [WorkMode]

    CALL SetQueryID
    MASK_UPDATE [WorkMask]
    ; Version 4.10.00 -
  END_PROC




  PROCEDURE WorkMaskShowHook
    CALL GetMitarbeiter

    IF [RECORD_ID1]>[EPSILON]
      CALC [WorkMode] AS [WORKMODE_BEARBEITEN]
    ELSE
      CALC [WorkMode] AS [OpenModus]
    END_IF

    CALC [LastMode] AS [WorkMode]
    CALC [WorkMask!MASK_ACT_MODUS] AS [WorkMode]

    CALL SetQueryID
    MASK_UPDATE [WorkMask]
    ; Version 4.10.00 -
  END_PROC



  PROCEDURE LaenderInsertHook
;   SCRIPT 'Laender.CSH',[SB!RecordID]

   QUERY_REFRESH [SB]

    CALC [SB!VIEW_ACTION] AS 1
  END_PROC




  PROCEDURE LaenderExitHook
    CALC [YNRes] AS [ID_NO]

    GET_YES_NO 'Achtung','Mchten Sie die Lnder-Zuordnung lschen ?',[YNRes]

    IF [YNRes]=[ID_CANCEL]
      CALC [SB!VIEW_ACTION] AS 1
      EXIT_PROC
    END_IF

    IF [YNRes]=[ID_YES]
      CALC [WorkMask!Land] AS ''

      MASK_UPDATE [WorkMask]
      EXIT_PROC
    END_IF
  END_PROC




  PROCEDURE ShowLaender
    LOCAL_STR StartingWithCondition

    CALC [StartingWithCondition] AS ''

    IF [WorkMask!Land]<>''
      CALC [StartingWithCondition] AS CON(' STARTING WITH LandKz1 = "', [WorkMask!Land], '"')
    END_IF

    QUERY [SB]
      SELECT LandKz1,
             LandInland,
             Vorwahl,
             LandCode,
             [H]RecordID
        FROM Laender
       ORDER BY LandKz1, LandInland
             [StartingWithCondition]
    END_QUERY

    FLAG_SET [SB!VIEW_FLAG],[BROWSER_FLAG_ICON_INSERT]

    CALC [SB!BROWSER_HOOK_INSERT] AS 'LaenderInsertHook'
    CALC [SB!BROWSER_HOOK_EXIT]   AS 'LaenderExitHook'

    VIEW [SB],[SBRes],'Lnder'
    IF [SBRes]
      CALC [WorkMask!Land]    AS [SB!LandKz1]
      MASK_UPDATE [WorkMask]
    END_IF

    CALC [SB!BROWSER_HOOK_INSERT] AS ''
    CALC [SB!BROWSER_HOOK_EXIT]   AS ''

    FLAG_SET [SB!VIEW_FLAG],[BROWSER_FLAG_ICON_INSERT],FALSE
  END_PROC




  PROCEDURE ButtonHook
    IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_Land'
      CALL ShowLaender
      EXIT_PROC

    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_ANREDE'
      CALL ChoicerGet TRUE, 'WorkMask', 'Anrede',  '', 110001, 'Auswahl', 'Auswahl', 20, 'Anreden', 'Anreden', [SBRes]
      EXIT_PROC
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_GESCHLECHT'
      CALL ChoicerGet TRUE, 'WorkMask', 'Geschlecht',  '', 130001, 'Auswahl', 'Auswahl', 20, 'Geschlecht', 'Geschlecht', [SBRes]
      EXIT_PROC
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_SHOW_MAP'
      CALL ShowMapID [WorkMask!MASK_RECORD_ID]
    END_IF

    IF [WorkMask!MASK_RECORD_ID]<[EPSILON]
      CALC [WorkMask!MASK_ACTION] AS 1
      MESSAGE 'Abbruch','Sie haben keinen Mitarbeiter ausgewhlt (<Strg+F>)',[MESSAGE_WARNING]
      EXIT_PROC
    END_IF

  END_PROC




  PROCEDURE MaskClearHook
    ; Version 4.10.00 +
    IF [SwitchToLastModus]
      CALC [WorkMask!MASK_ACT_MODUS] AS [LastMode]
      CALC [WorkMode] AS [LastMode]
    END_IF

    CALL SetQueryID
    MASK_UPDATE [WorkMask]
    ; Version 4.10.00 -

    GRID_SET [WorkMask], '1300807'
  END_PROC




  PROCEDURE PrintHook
    SCRIPT 'MITPRINT.CSH', [WorkMask!MASK_RECORD_ID], [WorkMask!MASK_ACT_PRINT_MODE]
  END_PROC



  PROCEDURE RegisterHook
    CALC [WorkMask!MASK_HOOK_REG_TAB] AS ''

    IF [WorkMask!MASK_ACT_REG_TAB]='KENNER'
      IF [RegIsSetKenner]=FALSE
        CALC [RegIsSetKenner] AS TRUE
      END_IF
    ELSE_IF [WorkMask!MASK_ACT_REG_TAB]='TERMINE'
      CALC [BelegQ!QUERY_HOOK_REC_CHANGE] AS ''
      ;IF [RegIsSetTermine]=FALSE
        CALC [RegIsSetTermine] AS TRUE
      ;END_IF
      CALC [RegIsSetTermine] AS TRUE

      IF [IDEAL_MODULE_CRM]=FALSE
        MESSAGE 'Abbruch','Das Modul CRM (Customer Relationship Management) ist nicht lizensiert.',[MESSAGE_WARNING]
      ELSE
        CALL ShowTermine
      END_IF
    ;ELSE_IF [WorkMask!MASK_ACT_REG_TAB]='NOTIZEN'
    ;  IF [RegIsSetNotizen]=FALSE
    ;    CALC [RegIsSetNotizen] AS TRUE
    ;  END_IF
    END_IF

    CALC [WorkMask!MASK_HOOK_REG_TAB] AS 'RegisterHook'
  END_PROC



  PROCEDURE MaskGridOKHook
    IF [WorkMask!MASK_ACT_GRID_NAME]='1300807'
      SCRIPT 'adr_documents.csh', [BelegQ!I.RecordID], 0, [WorkMask!MASK_RECORD_ID], 0, [WorkMask!MASK_BASE], [WorkMask!MASK_XREF_NAME]
      CALL ShowTermine
    END_IF
  END_PROC



SCRIPT_BEGIN
  CALL InitVars

  MASK_PROCESS [WorkMask]

  CALC [GLOB_RES_STR1] AS [WorkMask!MASK_RECORD_ID]
SCRIPT_END


