DROP TABLE [SQL_IF_EXISTS] adressen;
CREATE TABLE adressen
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Suchbegriff                [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      TitelAnrede                [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      TitelVorname               [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      TitelAdel                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      NamensZusatz               [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Name1                      [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Name2                      [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez1           [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez2           [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez3           [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz1                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz2                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz3                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Anrede                     [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      AnredeFliesstext           [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Strasse                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      PlzBevorzugt               [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      PlzEigen                   [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      PlzPostfach                [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      Postfach                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Laenderspezifikation       [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Land                       [SQL_DEFINE_STRING]   (  5) [SQL_DEFINE_STRING_END],
      Plz                        [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      Ort                        [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      UstIdNr                    [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Steuernummer               [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Finanzamt                  [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Telefon1                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon2                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon3                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon4                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Fax1                       [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Fax2                       [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      EMail1                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      EMail2                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Internet                   [SQL_DEFINE_STRING]   (128) [SQL_DEFINE_STRING_END],
      Mobil1                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Mobil2                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FirmaJa                    [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      AnsprechInFirma            [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      ZeilenUmbruchAnrede        [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      AbteilungAusblenden        [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      BLZ                        [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Gebiet                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Bezirk                     [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      GoogleEarth                [SQL_DEFINE_STRING]   (128) [SQL_DEFINE_STRING_END],
      VertreterID                [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Art                        [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Kundennummer               [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Debitornummer              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Kreditlimit                [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      Kreditversichert           [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KreditVersLimit            [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      KreditBonusIdx             [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Gruendungsdatum            [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      KreditPruefung             [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      KundenRabatt               [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      KndFormMitPartner          [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndFormMitAbteilung        [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndSperre                  [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndZahlBedID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndLieferBedID             [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndFiBuKng                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      KndPreisGrID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndWaehrungID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      SammelRGKZ                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Kopien_KRG                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LiefNummer                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      KndStandardBankID          [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      DFU                        [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      DFUNummer                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      LiefFormMitPartner         [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      LiefFormMitAbteilung       [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      LiefSperre                 [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      Lieferantennummer          [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Kreditornummer             [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      LiefZahlBedID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefLieferBedID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefFiBuKng                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LiePreisGrID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefWaehrungID             [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndNummer                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      LiefStandardBankID         [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Personalnummer             [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Geburtsname                [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Geburt                     [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      Geschlecht                 [SQL_DEFINE_STRING]   ( 11) [SQL_DEFINE_STRING_END],
      Taetigkeit                 [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      LoginName                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      RightID                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UserID                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UserPWD                    [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      ShortName                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      NetContext                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      UserLevel                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndAdrRecordID                      ON adressen (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndAdrSuchbegriff                   ON adressen (Suchbegriff);
   CREATE        INDEX IndAdrTitelAnrede                   ON adressen (TitelAnrede);
   CREATE        INDEX IndAdrTitelVorname                  ON adressen (TitelVorname);
   CREATE        INDEX IndAdrTitelAdel                     ON adressen (TitelAdel);
   CREATE        INDEX IndAdrNamensZusatz                  ON adressen (NamensZusatz);
   CREATE        INDEX IndAdrName1                         ON adressen (Name1);
   CREATE        INDEX IndAdrName2                         ON adressen (Name2);
   CREATE        INDEX IndAdrUnternehmensbez1              ON adressen (Unternehmensbez1);
   CREATE        INDEX IndAdrUnternehmensbez2              ON adressen (Unternehmensbez2);
   CREATE        INDEX IndAdrUnternehmensbez3              ON adressen (Unternehmensbez3);
   CREATE        INDEX IndAdrZusatz1                       ON adressen (Zusatz1);
   CREATE        INDEX IndAdrZusatz2                       ON adressen (Zusatz2);
   CREATE        INDEX IndAdrZusatz3                       ON adressen (Zusatz3);
   CREATE        INDEX IndAdrAnrede                        ON adressen (Anrede);
   CREATE        INDEX IndAdrAnredeFliesstext              ON adressen (AnredeFliesstext);
   CREATE        INDEX IndAdrStrasse                       ON adressen (Strasse);
   CREATE        INDEX IndAdrPlzBevorzugt                  ON adressen (PlzBevorzugt);
   CREATE        INDEX IndAdrPlzEigen                      ON adressen (PlzEigen);
   CREATE        INDEX IndAdrPlzPostfach                   ON adressen (PlzPostfach);
   CREATE        INDEX IndAdrPostfach                      ON adressen (Postfach);
   CREATE        INDEX IndAdrLaenderspezifikation          ON adressen (Laenderspezifikation);
   CREATE        INDEX IndAdrLand                          ON adressen (Land);
   CREATE        INDEX IndAdrPlz                           ON adressen (Plz);
   CREATE        INDEX IndAdrOrt                           ON adressen (Ort);
   CREATE        INDEX IndAdrUstIdNr                       ON adressen (UstIdNr);
   CREATE        INDEX IndAdrSteuernummer                  ON adressen (Steuernummer);
   CREATE        INDEX IndAdrFinanzamt                     ON adressen (Finanzamt);
   CREATE        INDEX IndAdrTelefon1                      ON adressen (Telefon1);
   CREATE        INDEX IndAdrTelefon2                      ON adressen (Telefon2);
   CREATE        INDEX IndAdrTelefon3                      ON adressen (Telefon3);
   CREATE        INDEX IndAdrTelefon4                      ON adressen (Telefon4);




DROP TABLE [SQL_IF_EXISTS] changes;
CREATE TABLE changes
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      TableName                  [SQL_DEFINE_STRING]   ( 60) [SQL_DEFINE_STRING_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      ChangeDate                 [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      ChangeTime                 [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      UserName                   [SQL_DEFINE_STRING]   ( 60) [SQL_DEFINE_STRING_END],
      FieldName                  [SQL_DEFINE_STRING]   ( 60) [SQL_DEFINE_STRING_END],
      ValueOld                   [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      ValueNew                   [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      StationID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UserID                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndChangRecordID                    ON changes (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndChangTableName                   ON changes (TableName);
   CREATE        INDEX IndChangRelRecID                    ON changes (RelRecID);
   CREATE        INDEX IndChangChangeDate                  ON changes (ChangeDate);
   CREATE        INDEX IndChangChangeTime                  ON changes (ChangeTime);
   CREATE        INDEX IndChangUserName                    ON changes (UserName);
   CREATE        INDEX IndChangFieldName                   ON changes (FieldName);
   CREATE        INDEX IndChangValueOld                    ON changes (ValueOld);
   CREATE        INDEX IndChangValueNew                    ON changes (ValueNew);
   CREATE        INDEX IndChangStationID                   ON changes (StationID);
   CREATE        INDEX IndChangUserID                      ON changes (UserID);


DROP TABLE [SQL_IF_EXISTS] choicer;
CREATE TABLE choicer
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Auswahl                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Wert1                      [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Wert2                      [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      Wert3                      [SQL_DEFINE_STRING]   (  4) [SQL_DEFINE_STRING_END],
      Wert4                      [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      Wert5                      [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      Kurzbez                    [SQL_DEFINE_STRING]   ( 64) [SQL_DEFINE_STRING_END],
      ListeNummer                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Sortierung                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndChRecordID                       ON choicer (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndChAuswahl                        ON choicer (Auswahl);
   CREATE        INDEX IndChWert1                          ON choicer (Wert1);
   CREATE        INDEX IndChWert2                          ON choicer (Wert2);
   CREATE        INDEX IndChWert3                          ON choicer (Wert3);
   CREATE        INDEX IndChWert4                          ON choicer (Wert4);
   CREATE        INDEX IndChKurzbez                        ON choicer (Kurzbez);
   CREATE        INDEX IndChListeNummer                    ON choicer (ListeNummer);
   CREATE        INDEX IndChSortierung                     ON choicer (Sortierung);


DROP TABLE [SQL_IF_EXISTS] docmgrca;
CREATE TABLE docmgrca
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Nummer                     [SQL_DEFINE_STRING]   ( 10) [SQL_DEFINE_STRING_END],
      Ziffer                     [SQL_DEFINE_STRING]   (100) [SQL_DEFINE_STRING_END],
      Bezeichnung                [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      HasChildren                [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      Hirarchie                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      MotherID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Class                      [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndDMCRecordID                      ON docmgrca (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndDMCNummer                        ON docmgrca (Nummer);
   CREATE        INDEX IndDMCZiffer                        ON docmgrca (Ziffer);
   CREATE        INDEX IndDMCMotherID                      ON docmgrca (MotherID);
   CREATE        INDEX IndDMCClass                         ON docmgrca (Class);


DROP TABLE [SQL_IF_EXISTS] docmgrh;
CREATE TABLE docmgrh
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      FileName                   [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      FileDate                   [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      TableName                  [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRefName                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndDMHRecordID                      ON docmgrh (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndDMHFileName                      ON docmgrh (FileName);
   CREATE        INDEX IndDMHFileDate                      ON docmgrh (FileDate);
   CREATE        INDEX IndDMHTableName                     ON docmgrh (TableName);
   CREATE        INDEX IndDMHRelRecID                      ON docmgrh (RelRecID);




DROP TABLE [SQL_IF_EXISTS] docmgri;
CREATE TABLE docmgri
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      HeaderID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      ItemNote                   [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      RightActionLevel           [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      CreatorID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      CreateDate                 [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      CreateTime                 [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      CreateRunDate              [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      CreateRunTime              [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      CreateDurance              [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      CreateDuranceStr           [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      CreateTypeID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      CreateType                 [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      CreateDTID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      CreateRunDTID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      CreateDuranceID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NextProcessorID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NextProcessDate            [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      NextProcessTime            [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      NextProcessRunDate         [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      NextProcessRunTime         [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      NextProcessDurance         [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      NextProcessDuranceStr      [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      NextProcessTypeID          [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NextProcessType            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      NextProcessDTID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NextProcessRunDTID         [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NextProcessDuranceID       [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FinisherID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FinishDate                 [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      FinishTime                 [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      FinishRunDate              [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      FinishRunTime              [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      FinishDurance              [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      FinishDuranceStr           [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      FinishTypeID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FinishType                 [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      FinishDTID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FinishRunDTID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FinishDuranceID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FilePath                   [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      FileTypeID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FileType                   [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      ProgramID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      ProgramName                [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      TemplateID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      TemplateName               [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef01ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef02ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef03ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef04ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef05ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef06ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef07ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef08ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef09ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef10ID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      XRef01Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef02Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef03Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef04Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef05Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef06Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef07Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef08Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef09Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef10Name                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      XRef01TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef02TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef03TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef04TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef05TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef06TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef07TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef08TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef09TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      XRef10TableName            [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      CategoryID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      ThreadNo                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      SendConfirm                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndDMIRecordID                      ON docmgri (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndDMIHeaderID                      ON docmgri (HeaderID);
   CREATE        INDEX IndDMICreatorID                     ON docmgri (CreatorID);
   CREATE        INDEX IndDMICreateDate                    ON docmgri (CreateDate);
   CREATE        INDEX IndDMICreateTypeID                  ON docmgri (CreateTypeID);
   CREATE        INDEX IndDMINextProcessorID               ON docmgri (NextProcessorID);
   CREATE        INDEX IndDMINextProcessDate               ON docmgri (NextProcessDate);
   CREATE        INDEX IndDMINextProcessTypeID             ON docmgri (NextProcessTypeID);
   CREATE        INDEX IndDMIFinisherID                    ON docmgri (FinisherID);
   CREATE        INDEX IndDMIFinishTypeID                  ON docmgri (FinishTypeID);




DROP TABLE [SQL_IF_EXISTS] fieldhelp;
CREATE TABLE fieldhelp
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      DialogName                 [SQL_DEFINE_STRING]   ( 60) [SQL_DEFINE_STRING_END],
      FieldName                  [SQL_DEFINE_STRING]   ( 60) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndFiHeRecordID                     ON fieldhelp (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndFiHeDialogName                   ON fieldhelp (DialogName);
   CREATE        INDEX IndFiHeFieldName                    ON fieldhelp (FieldName);


DROP TABLE [SQL_IF_EXISTS] langs;
CREATE TABLE langs
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LanguageIdx                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LanguageName               [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      LanguageShort              [SQL_DEFINE_STRING]   ( 11) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndLangsRecordID                    ON langs (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndLangsLanguageName                ON langs (LanguageName);
   CREATE        INDEX IndLangsLanguageShort               ON langs (LanguageShort);


DROP TABLE [SQL_IF_EXISTS] lockrecs;
CREATE TABLE lockrecs
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      TableName                  [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      PhysicalStation            [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      LockEvent                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndLcRcRecordID                     ON lockrecs (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndLcRcTableName                    ON lockrecs (TableName);
   CREATE        INDEX IndLcRcRelRecID                     ON lockrecs (RelRecID);
   CREATE        INDEX IndLcRcPhysicalStation              ON lockrecs (PhysicalStation);


DROP TABLE [SQL_IF_EXISTS] notes;
CREATE TABLE notes
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      TableName                  [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      NoteID                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NoteSegment                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      NoteInfo                   [SQL_DEFINE_STRING]   (252) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndNoRecordID                       ON notes (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndNoIDUser                         ON notes (IDUser);
   CREATE        INDEX IndNoLevelUser                      ON notes (LevelUser);
   CREATE        INDEX IndNoMandant                        ON notes (Mandant);
   CREATE        INDEX IndNoRecFlag                        ON notes (RecFlag);
   CREATE        INDEX IndNoEventFlag                      ON notes (EventFlag);
   CREATE        INDEX IndNoTableName                      ON notes (TableName);
   CREATE        INDEX IndNoNoteID                         ON notes (NoteID);
   CREATE        INDEX IndNoNoteSegment                    ON notes (NoteSegment);
   CREATE        INDEX IndNoRelRecID                       ON notes (RelRecID);
   CREATE        INDEX IndNoNoteInfo                       ON notes (NoteInfo);


DROP TABLE [SQL_IF_EXISTS] nummern;
CREATE TABLE nummern
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Stellen                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Bezeichnung                [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Datenfeld                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Datenbank                  [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      FestStart                  [SQL_DEFINE_STRING]   (  6) [SQL_DEFINE_STRING_END],
      VariabelStart              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Bedingung                  [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Schrittweite               [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      KreisID                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Startwert                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      SchnellModus               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      EingabeBlocken             [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndNumRecordID                      ON nummern (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndNumKreisID                       ON nummern (KreisID);


DROP TABLE [SQL_IF_EXISTS] prnlisth;
CREATE TABLE prnlisth
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      ListName                   [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      ListQueryID                [SQL_DEFINE_STRING]   ( 65) [SQL_DEFINE_STRING_END],
      BorderLeft                 [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      BorderRight                [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      BorderTop                  [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      BorderBottom               [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      PageHeight                 [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      PageWidth                  [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      PrintVertical              [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveNumers                 [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveFrames                 [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveHeadline               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveAvis                   [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      LineEvery                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      SeperatorField             [SQL_DEFINE_STRING]   ( 11) [SQL_DEFINE_STRING_END],
      SeperatorSet               [SQL_DEFINE_STRING]   ( 11) [SQL_DEFINE_STRING_END],
      HaveDescription            [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveBrackets               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      HaveDecKomma               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      FileName                   [SQL_DEFINE_STRING]   (128) [SQL_DEFINE_STRING_END],
      FontName                   [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FontSize                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      FontStyle                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      FontColor                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteWidth                  [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      NoteRight                  [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      NoteID01                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID02                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID03                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID04                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID05                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID06                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID07                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID08                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID09                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID10                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID11                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID12                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID13                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID14                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID15                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID16                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID17                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID18                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID19                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      NoteID20                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndPrnRecordID                      ON prnlisth (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndPrnHListeName                    ON prnlisth (ListName);
   CREATE        INDEX IndPrnHListeQueryID                 ON prnlisth (ListQueryID);


DROP TABLE [SQL_IF_EXISTS] prnlisti;
CREATE TABLE prnlisti
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      PrnListHID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      FieldOrder                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      FieldName                  [SQL_DEFINE_STRING]   ( 64) [SQL_DEFINE_STRING_END],
      RightJustify               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      IsSelected                 [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      FieldWidth                 [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndPrnIRecordID                     ON prnlisti (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndPrnIListeHID                     ON prnlisti (PrnListHID);
   CREATE        INDEX IndPrnIFieldOrder                   ON prnlisti (FieldOrder);


DROP TABLE [SQL_IF_EXISTS] rightmod;
CREATE TABLE rightmod
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      ModellName                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndRMRecordID                       ON rightmod (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndRMModellName                     ON rightmod (ModellName);


DROP TABLE [SQL_IF_EXISTS] rightpos;
CREATE TABLE rightpos
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      RightModID                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      MenuItem                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      RightFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndRPRecordID                       ON rightpos (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndRPRightModID                     ON rightpos (RightModID);
   CREATE        INDEX IndRPMenuItem                       ON rightpos (MenuItem);


DROP TABLE [SQL_IF_EXISTS] sendmsgs;
CREATE TABLE sendmsgs
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      SendInfo                   [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END],
      SendID                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Send2all                   [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      AdressenSenderID           [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      DateSend                   [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      TimeSend                   [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      StationSendID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      AdressenReceiveID          [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      DateReceive                [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      TimeReceive                [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      StationReceiveID           [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      SourceID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      AnswerID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      DocMgrLegend               [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      Active                     [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndSndMsgRecordID                   ON sendmsgs (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndSndMsgSendInfo                   ON sendmsgs (SendInfo);
   CREATE        INDEX IndSndMsgSendID                     ON sendmsgs (SendID);
   CREATE        INDEX IndSndMsgAdrSendID                  ON sendmsgs (AdressenSenderID);
   CREATE        INDEX IndSndMsgDateSend                   ON sendmsgs (DateSend);
   CREATE        INDEX IndSndMsgTimeSend                   ON sendmsgs (TimeSend);
   CREATE        INDEX IndSndMsgStaSendID                  ON sendmsgs (StationSendID);
   CREATE        INDEX IndSndMsgAdrRecID                   ON sendmsgs (AdressenReceiveID);
   CREATE        INDEX IndSndMsgDateRec                    ON sendmsgs (DateReceive);
   CREATE        INDEX IndSndMsgTimeRec                    ON sendmsgs (TimeReceive);
   CREATE        INDEX IndSndMsgStaRecID                   ON sendmsgs (StationReceiveID);
   CREATE        INDEX IndSndMsgSourceID                   ON sendmsgs (SourceID);
   CREATE        INDEX IndSndMsgAnswerID                   ON sendmsgs (AnswerID);
   CREATE        INDEX IndSndMsgActive                     ON sendmsgs (Active);


DROP TABLE [SQL_IF_EXISTS] slctlsth;
CREATE TABLE slctlsth
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Name                       [SQL_DEFINE_STRING]   ( 64) [SQL_DEFINE_STRING_END],
      TableName                  [SQL_DEFINE_STRING]   ( 64) [SQL_DEFINE_STRING_END],
      StdQuery                   [SQL_DEFINE_STRING]   ( 64) [SQL_DEFINE_STRING_END],
      UserID                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      StationID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndSlctHRecordID                    ON slctlsth (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndSlctHName                        ON slctlsth (Name);
   CREATE        INDEX IndSlctHTableName                   ON slctlsth (TableName);
   CREATE        INDEX IndSlctHStdQuery                    ON slctlsth (StdQuery);
   CREATE        INDEX IndSlctHUserID                      ON slctlsth (UserID);
   CREATE        INDEX IndSlctHStationID                   ON slctlsth (StationID);


DROP TABLE [SQL_IF_EXISTS] slctlsti;
CREATE TABLE slctlsti
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      HeaderID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Checked                    [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndSlctIRecordID                    ON slctlsti (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndSlctIHeaderID                    ON slctlsti (HeaderID);


DROP TABLE [SQL_IF_EXISTS] sqlstream;
CREATE TABLE sqlstream
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      RecIDDateTime              [SQL_DEFINE_STRING]   ( 31) [SQL_DEFINE_STRING_END],
      TimeUsed                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      StationID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      SessionID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      StationShort               [SQL_DEFINE_STRING]   ( 31) [SQL_DEFINE_STRING_END],
      ShortName                  [SQL_DEFINE_STRING]   ( 31) [SQL_DEFINE_STRING_END],
      QueryType                  [SQL_DEFINE_STRING]   ( 31) [SQL_DEFINE_STRING_END],
      ExecuteSuccess             [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      ErrorMessage1              [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      ErrorMessage2              [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      ErrorMessage3              [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString1                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString2                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString3                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString4                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString5                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString6                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString7                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString8                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString9                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString10                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString11                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString12                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString13                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString14                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString15                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString16                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString17                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString18                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString19                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      SQLString20                [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndSQLSRecordID                     ON sqlstream (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndSQLSRecIDDateTime                ON sqlstream (RecIDDateTime);
   CREATE        INDEX IndSQLSStationID                    ON sqlstream (StationID);
   CREATE        INDEX IndSQLSStationShort                 ON sqlstream (StationShort);
   CREATE        INDEX IndSQLSShortName                    ON sqlstream (ShortName);


DROP TABLE [SQL_IF_EXISTS] stationnames;
CREATE TABLE stationnames
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      StationID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      StationIDStr               [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      StationShort               [SQL_DEFINE_STRING]   ( 10) [SQL_DEFINE_STRING_END],
      StationName                [SQL_DEFINE_STRING]   (250) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndStaNaRecordID                    ON stationnames (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE UNIQUE INDEX IndStaNaStationID                   ON stationnames (StationID);
   CREATE        INDEX IndStaNaStationShort                ON stationnames (StationShort);


DROP TABLE [SQL_IF_EXISTS] tablefld;
CREATE TABLE tablefld
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Name                       [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      TableName                  [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      XRefName                   [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FieldName1                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FieldName2                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FieldName3                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FieldName4                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      ExecScript                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      FieldQuery                 [SQL_DEFINE_STRING]   (255) [SQL_DEFINE_STRING_END],
      NoteWidth                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      UseDefID                   [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      DefinedID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Templates                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      IsMand                     [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndTFldRecordID                     ON tablefld (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndTFldTableName                    ON tablefld (TableName);


DROP TABLE [SQL_IF_EXISTS] trala;
CREATE TABLE trala
    (
      RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      RelRecID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      TableName                  [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FieldName                  [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      LanguageIdx                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      TransValue                 [SQL_DEFINE_STRING]   (241) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );


   CREATE UNIQUE INDEX IndTralaRecordID                    ON trala (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
   CREATE        INDEX IndTralaRelRecID                    ON trala (RelRecID);
   CREATE        INDEX IndTralaTableName                   ON trala (TableName);
   CREATE        INDEX IndTralaFieldName                   ON trala (FieldName);


