DROP TABLE [SQL_IF_EXISTS] adressen;
CREATE TABLE adressen
    ( RecordID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      VirtualDelID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      VirtualDelUserIdx         [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],

      Suchbegriff               [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],

      TitelAnrede               [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      TitelVorname              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      TitelAdel                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      NamensZusatz              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],

      Name1                     [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Name2                     [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez1          [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez2          [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Unternehmensbez3          [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz1                   [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz2                   [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Zusatz3                   [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Anrede                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      AnredeFliesstext          [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Strasse                   [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      PlzBevorzugt              [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      PlzEigen                  [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      PlzPostfach               [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      Postfach                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Laenderspezifikation      [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Land                      [SQL_DEFINE_STRING]   (  5) [SQL_DEFINE_STRING_END],
      Plz                       [SQL_DEFINE_STRING]   ( 13) [SQL_DEFINE_STRING_END],
      Ort                       [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      UstIdNr                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Steuernummer              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Finanzamt                 [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Telefon1                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon2                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon3                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Telefon4                  [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Fax1                      [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Fax2                      [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      EMail1                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      EMail2                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Internet                  [SQL_DEFINE_STRING]   (128) [SQL_DEFINE_STRING_END],
      Mobil1                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Mobil2                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      FirmaJa                   [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      AnsprechInFirma           [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      ZeilenUmbruchAnrede       [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      AbteilungAusblenden       [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      BLZ                       [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],

      Gebiet                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Bezirk                    [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      GoogleEarth               [SQL_DEFINE_STRING]   (128) [SQL_DEFINE_STRING_END],

      VertreterID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Art                       [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],

      Kundennummer              [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Debitornummer             [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Kreditlimit               [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],

      Kreditversichert          [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KreditVersLimit           [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],
      KreditBonusIdx            [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Gruendungsdatum           [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      KreditPruefung            [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],

      KundenRabatt              [SQL_DEFINE_FLOAT]          [SQL_DEFINE_FLOAT_END],

      KndFormMitPartner         [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndFormMitAbteilung       [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndSperre                 [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      KndZahlBedID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndLieferBedID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndFiBuKng                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      KndPreisGrID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndWaehrungID             [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      SammelRGKZ                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      Kopien_KRG                [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LiefNummer                [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      KndStandardBankID         [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],

      DFU                       [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      DFUNummer                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],

      LiefFormMitPartner        [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      LiefFormMitAbteilung      [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      LiefSperre                [SQL_DEFINE_BOOLEAN]        [SQL_DEFINE_BOOLEAN_END],
      Lieferantennummer         [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Kreditornummer            [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      LiefZahlBedID             [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefLieferBedID           [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefFiBuKng               [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      LiePreisGrID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LiefWaehrungID            [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      KndNummer                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      LiefStandardBankID        [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],

      Personalnummer            [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      Geburtsname               [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      Geburt                    [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      Geschlecht                [SQL_DEFINE_STRING]   ( 11) [SQL_DEFINE_STRING_END],
      Taetigkeit                [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],

      LoginName                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      RightID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UserID                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UserPWD                   [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      ShortName                 [SQL_DEFINE_STRING]   ( 21) [SQL_DEFINE_STRING_END],
      NetContext                [SQL_DEFINE_STRING]   ( 41) [SQL_DEFINE_STRING_END],
      UserLevel                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END]

      [SQL_DEFINE_PRIMARY_KEY2]
    );

CREATE UNIQUE INDEX IndAdrRecordID              ON adressen (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
CREATE        INDEX IndAdrSuchbegriff           ON adressen (Suchbegriff);
CREATE        INDEX IndAdrTitelAnrede           ON adressen (TitelAnrede);
CREATE        INDEX IndAdrTitelVorname          ON adressen (TitelVorname);
CREATE        INDEX IndAdrTitelAdel             ON adressen (TitelAdel);
CREATE        INDEX IndAdrNamensZusatz          ON adressen (NamensZusatz);
CREATE        INDEX IndAdrName1                 ON adressen (Name1);
CREATE        INDEX IndAdrName2                 ON adressen (Name2);
CREATE        INDEX IndAdrUnternehmensbez1      ON adressen (Unternehmensbez1);
CREATE        INDEX IndAdrUnternehmensbez2      ON adressen (Unternehmensbez2);
CREATE        INDEX IndAdrUnternehmensbez3      ON adressen (Unternehmensbez3);
CREATE        INDEX IndAdrZusatz1               ON adressen (Zusatz1);
CREATE        INDEX IndAdrZusatz2               ON adressen (Zusatz2);
CREATE        INDEX IndAdrZusatz3               ON adressen (Zusatz3);
CREATE        INDEX IndAdrAnrede                ON adressen (Anrede);
CREATE        INDEX IndAdrAnredeFliesstext      ON adressen (AnredeFliesstext);
CREATE        INDEX IndAdrStrasse               ON adressen (Strasse);
CREATE        INDEX IndAdrPlzBevorzugt          ON adressen (PlzBevorzugt);
CREATE        INDEX IndAdrPlzEigen              ON adressen (PlzEigen);
CREATE        INDEX IndAdrPlzPostfach           ON adressen (PlzPostfach);
CREATE        INDEX IndAdrPostfach              ON adressen (Postfach);
CREATE        INDEX IndAdrLaenderspezifikation  ON adressen (Laenderspezifikation);
CREATE        INDEX IndAdrLand                  ON adressen (Land);
CREATE        INDEX IndAdrPlz                   ON adressen (Plz);
CREATE        INDEX IndAdrOrt                   ON adressen (Ort);
CREATE        INDEX IndAdrUstIdNr               ON adressen (UstIdNr);
CREATE        INDEX IndAdrSteuernummer          ON adressen (Steuernummer);
CREATE        INDEX IndAdrFinanzamt             ON adressen (Finanzamt);
CREATE        INDEX IndAdrTelefon1              ON adressen (Telefon1);
CREATE        INDEX IndAdrTelefon2              ON adressen (Telefon2);
CREATE        INDEX IndAdrTelefon3              ON adressen (Telefon3);
CREATE        INDEX IndAdrTelefon4              ON adressen (Telefon4);
CREATE        INDEX IndAdrFax1                  ON adressen (Fax1);
CREATE        INDEX IndAdrFax2                  ON adressen (Fax2);
CREATE        INDEX IndAdrEMail1                ON adressen (EMail1);
CREATE        INDEX IndAdrEMail2                ON adressen (EMail2);
CREATE        INDEX IndAdrInternet              ON adressen (Internet);
CREATE        INDEX IndAdrMobil1                ON adressen (Mobil1);
CREATE        INDEX IndAdrMobil2                ON adressen (Mobil2);
CREATE        INDEX IndAdrFirmaJa               ON adressen (FirmaJa);
CREATE        INDEX IndAdrAnsprechInFirma       ON adressen (AnsprechInFirma);
CREATE        INDEX IndAdrZeilenUmbruchAnrede   ON adressen (ZeilenUmbruchAnrede);
CREATE        INDEX IndAdrAbteilungAusblenden   ON adressen (AbteilungAusblenden);
CREATE        INDEX IndAdrBLZ                   ON adressen (BLZ);
