DROP TABLE [SQL_IF_EXISTS] edvinventar;

CREATE TABLE edvinventar
    ( RecordID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                   [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                 [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      VirtualDelID              [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      VirtualDelUserIdx         [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],

      Name                      [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Nummer                    [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Kategorie                 [SQL_DEFINE_STRING]   ( 61) [SQL_DEFINE_STRING_END],
      Anschaffungsdatum         [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      SupportEnde               [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      MitarbeiterID             [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LieferantID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END]

      [SQL_DEFINE_PRIMARY_KEY2]
    );

CREATE UNIQUE INDEX IndEdvInvRecordID          ON edvinventar (RecordID) [SQL_DEFINE_PRIMARY_KEY3];
CREATE        INDEX IndEdvInvVirtualDelID      ON edvinventar (VirtualDelID);
CREATE        INDEX IndEdvInvName              ON edvinventar (Name);
CREATE        INDEX IndEdvInvNummer            ON edvinventar (Nummer);
CREATE        INDEX IndEdvInvKategorie         ON edvinventar (Kategorie);
CREATE        INDEX IndEdvInvAnschaffungsdatum ON edvinventar (Anschaffungsdatum);
CREATE        INDEX IndEdvInvSupportEnde       ON edvinventar (SupportEnde);
CREATE        INDEX IndEdvInvMitarbeiterID     ON edvinventar (MitarbeiterID);
CREATE        INDEX IndEdvInvLieferantID       ON edvinventar (LieferantID);

