
  INCLUDE Choicer.INC
  INCLUDE PrintOut.INC



  PROCEDURE InitVars
    VAR_MASK    WorkMask, 'test4dlg'
    VAR_BROWSER B
    VAR_BOOL    Res

    VAR_STR     PrnStr
    VAR_STR     FormatStr
    VAR_STR     StrSign
    VAR_NUM     LnCnt
    VAR_NUM     Y
    VAR_NUM     X
    VAR_NUM     Xend
    VAR_NUM     Width
    VAR_NUM     ActY
    VAR_NUM     MaxY
    VAR_NUM     Max
    VAR_NUM     Page
    VAR_NUM     MaxYOnPage, 1830
    VAR_PRINT   Prn, 2100, 2970, [PRINT_PAGE_LANDSCAPE]

    CALC [StrSign] AS CHAR(#39)

    CALC [WorkMask!MASK_HOOK_BUTTON]  AS 'ButtonHook'
    CALC [WorkMask!MASK_HOOK_SEARCH]  AS 'SearchHook'
    CALC [WorkMask!MASK_HOOK_SPINNER] AS 'SearchHook'
    CALC [WorkMask!MASK_HOOK_PRINT]   AS 'PrintHook'
  END_PROC



  PROCEDURE Main
    MASK_PROCESS [WorkMask]
  END_PROC



  PROCEDURE SelectAdresse VS DisplayFeld, VS IDFeld
    QUERY [B]
      SELECT Name1, Name2, RecordID
        FROM adressen
    END_QUERY

    VIEW [B],[Res],'Adresse whlen'
    IF [Res]=FALSE
      EXIT_PROC
    END_IF

    CALC [WorkMask![DisplayFeld]] AS CON([B!Name1],' ',[B!Name2])
    CALC [WorkMask![IDFeld]]      AS [B!RecordID]

    MASK_UPDATE [WorkMask]
  END_PROC



  PROCEDURE GetAdresse VS DisplayFeld, VS IDFeld
    IF [WorkMask![IDFeld]]>[EPSILON]
      QUERY [B]
        SELECT Name1, Name2
          FROM adressen
         WHERE RecordID = [WorkMask![IDFeld]|R0,0]
      END_QUERY

      EXECUTE [B],[Res]
      IF [Res]=FALSE
        MESSAGE 'Achtung Abbruch','Die Abfrage zum Laden einer Adresse konnte nicht ausgefht werden',[MESSAGE_ERROR]
        EXIT_PROC
      END_IF

      GET_DATA [B],[Res]
      IF [Res]
        CALC [WorkMask![DisplayFeld]] AS CON([B!Name1],' ',[B!Name2])
      END_IF
    ELSE
      CALC [WorkMask![DisplayFeld]] AS ''
    END_IF
  END_PROC



  PROCEDURE SearchHook
    CALL GetAdresse 'Mit.Name', 'MitarbeiterID'
    CALL GetAdresse 'Lief.Name', 'LieferantID'

    MASK_UPDATE [WorkMask]
  END_PROC



  PROCEDURE ButtonHook
    IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_Mitarbeiter'
      CALL SelectAdresse 'Mit.Name', 'MitarbeiterID'
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_Lieferant'
      CALL SelectAdresse 'Lief.Name', 'LieferantID'
    ELSE_IF [WorkMask!MASK_ACT_FIELD_NAME]='BB_Kategorie'
      CALL ChoicerGet TRUE, 'WorkMask', 'Kategorie',  '', 140001, 'Auswahl', 'Auswahl', 20, 'Kategorien', 'Kategorien', [Res]
    END_IF
  END_PROC


  PROCEDURE CheckMaxY
    PRINT_POS  [Prn], [ActY], [PRINT_POS_BOTTOM]
    IF [ActY]>[MaxY]
      CALC [MaxY] AS [ActY]
    END_IF
  END_PROC



  PROCEDURE Add2X VN LocWidth, VS LocStr
    CALC [X]    AS [Xend]
    CALC [Xend] AS [X]+[LocWidth]
    PRINT_BOX  [Prn],  [X], [Y], [Xend], [PRINT_POS_FREE], [FormatStr], [LocStr]
    CALL CheckMaxY
  END_PROC


  PROCEDURE PrintListHeader
    CALC [Y] AS [Y]-10
    PRINT_BOX  [Prn],  190, [Y],  -2590, -70, '[N TO BC LtGray PC Black PS 0 J L]', ''
    CALC [Y] AS [Y]+10

    CALC [X]         AS 200
    CALC [Xend]      AS 200
    CALC [FormatStr] AS '[N B J L]'

    CALL Add2X 100, 'Nr.'
    CALL Add2X 570, 'Name'
    CALL Add2X 300, 'Kategorie'
    CALL Add2X 600, 'Mitarbeiter'
    CALL Add2X 600, 'Lieferant'
    CALL Add2X 200, 'von'
    CALL Add2X 200, 'bis'

    CALC [FormatStr] AS '[N J L]'
    CALC [Y] AS [Y]+70
  END_PROC



  PROCEDURE PrintHead
    CALC [PrnStr] AS CON('[PS 0 T ', [StrSign], 'Arial', [StrSign], ' S 10]')
    PRINT_STR [Prn], 10, 10, [PrnStr]

    CALC [Y] AS 100
    INC [Page]

    PRINT_BOX  [Prn],  200, [Y], -2570, [PRINT_POS_FREE], '[N B S 14]', 'EDV-Inventarliste vom ', [DATE]

    CALC [PrnStr] AS CON([SPECIAL_PATH],'Logo.jpg')
    PRINT_PIC  [Prn], 1200,  20, [PRINT_POS_FREE], -120, [PrnStr]

    CALC [Y] AS 170
    PRINT_LINE [Prn],  200, [Y], -2570, [Y]
    CALC [Y] AS 200

    CALL PrintListHeader
  END_PROC



  PROCEDURE PrintFoot
    CALC [Y] AS [MaxYOnPage]
    PRINT_LINE [Prn],  200, [Y], -2570, [Y]
    CALC [Y] AS [Y] + 20
    PRINT_BOX  [Prn],  200, [Y], -2570, [PRINT_POS_FREE], '[N B S 14]', [LnCnt],' Inventargegenstnde gedruckt'
  END_PROC



  PROCEDURE CheckAndDoUebertrag
    LOCAL_NUM LocNum

    CALC [LocNum] AS [MaxYOnPage]-30
    IF [Y]<[LocNum]
      EXIT_PROC
    END_IF

    CALL PrintFoot

    PRINT_PAGE [Prn]

    CALL PrintHead
  END_PROC



  PROCEDURE PrintBody
    GET_DATA [B], [Res], [FIRST_REC]
    WHILE [Res]
      INC [LnCnt]

      CALC [MaxY] AS [Y]

      CALC [X]    AS 200
      CALC [Xend] AS 200

      CALL Add2X 100, [B!E.Nummer]
      CALL Add2X 570, [B!E.Name]
      CALL Add2X 300, [B!E.Kategorie]

      CALC [PrnStr] AS CON([B!M.Name1], ' ', [B!M.Name2])
      CALL Add2X 600, [PrnStr]

      CALC [PrnStr] AS CON([B!L.Name1], ' ', [B!L.Name2])
      CALL Add2X 600, [PrnStr]

      IF [B!E.Anschaffungsdatum]>'01.01.1980'
        CALL Add2X 200, [B!E.Anschaffungsdatum]

      END_IF

      IF [B!E.SupportEnde]>'01.01.1980'
        CALL Add2X 200, [B!E.SupportEnde]
      END_IF

      CALC [Y] AS [MaxY]+20

      CALL CheckAndDoUebertrag

      GET_DATA [B], [Res], [NEXT_REC]
    END_WHILE
  END_PROC



  PROCEDURE PrintPage
    ; drucke eine Seitenzahl oben rechts
    CALC [LnCnt] AS 1
    WHILE [LnCnt]<=[Page]
      PRINT_PAGE [Prn], [LnCnt]
      CALC [PrnStr] AS CON('Seite ',[LnCnt],' / ',[Page])
      PRINT_BOX [Prn], 2500, 100, 2770, [PRINT_POS_FREE], '[N J R]', [PrnStr]
      INC [LnCnt]
    END_WHILE
  END_PROC



  PROCEDURE PrintHook
    QUERY_LOAD [B],[Res],'test4001'
    IF [Res]=FALSE
      MESSAGE 'Achtung Abbruch','Die Datenbankabfrage "Test4001" konnte nicht geladen werden.',[MESSAGE_ERROR]
      EXIT_PROC
    END_IF

    EXECUTE [B],[Res]
    IF [Res]=FALSE
      MESSAGE 'Achtung Abbruch','Die Datenbankabfrage "Test4001" konnte nicht ausgefhrt werden.',[MESSAGE_ERROR]
      EXIT_PROC
    END_IF

    GET_DATA [B],[Res]
    IF [Res]=FALSE
      MESSAGE 'Achtung Abbruch','Es konnten keinerlei Invertardaten gefunden werden.',[MESSAGE_ERROR]
      EXIT_PROC
    END_IF

    QUERY_COUNT [B], [Max]

    IF [Max]=0
      MESSAGE 'Achtung Abbruch','Bitte geben Sie zunchst Daten ein, damit diese gedruckt werden knnen.||oder||Bitte whlen einige Datenstze aus.',[MESSAGE_INFO]
      EXIT_PROC
    END_IF

    CALC [Page]  AS 0
    CALC [LnCnt] AS 0
    CALL PrintHead
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintBody
    CALL PrintFoot

    CALL PrintPage

    CALL PrintOut.OutPut 'Prn', 1, 'EDVI', [PRINT_OUT_PREVIEW], [WorkMask!MASK_ACT_PRINT_MODE]
  END_PROC



SCRIPT_BEGIN
  CALL InitVars
  CALL Main
SCRIPT_END
