DROP TABLE [SQL_IF_EXISTS] dmsfree;

CREATE TABLE dmsfree
    ( RecordID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_PRIMARY_KEY1],
      IDUser                     [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      LevelUser                  [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      Mandant                    [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateID                   [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      UpdateTime                 [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      RecFlag                    [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      EventFlag                  [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      VirtualDelID               [SQL_DEFINE_RECORDID]       [SQL_DEFINE_RECORDID_END],
      VirtualDelUserIdx          [SQL_DEFINE_LONGINT]        [SQL_DEFINE_LONGINT_END],
      CreateDate                 [SQL_DEFINE_DATE]           [SQL_DEFINE_DATE_END],
      CreateTime                 [SQL_DEFINE_TIME]           [SQL_DEFINE_TIME_END],
      FieldLbl01                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl02                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl03                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl04                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl05                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl06                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl07                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl08                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl09                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldLbl10                 [SQL_DEFINE_STRING]   ( 40) [SQL_DEFINE_STRING_END],
      FieldVal01                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal02                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal03                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal04                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal05                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal06                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal07                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal08                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal09                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END],
      FieldVal10                 [SQL_DEFINE_STRING]   (200) [SQL_DEFINE_STRING_END]
      [SQL_DEFINE_PRIMARY_KEY2]
    );

CREATE UNIQUE INDEX IndDmsFreeRecordID         ON dmsfree (RecordID    ) [SQL_DEFINE_PRIMARY_KEY3];
CREATE        INDEX IndDmsFreeVirtualDelID     ON dmsfree (VirtualDelID);
CREATE        INDEX IndDmsFreeFieldLbl01       ON dmsfree (FieldLbl01  );
CREATE        INDEX IndDmsFreeFieldLbl02       ON dmsfree (FieldLbl02  );
CREATE        INDEX IndDmsFreeFieldLbl03       ON dmsfree (FieldLbl03  );
CREATE        INDEX IndDmsFreeFieldLbl04       ON dmsfree (FieldLbl04  );
CREATE        INDEX IndDmsFreeFieldLbl05       ON dmsfree (FieldLbl05  );
CREATE        INDEX IndDmsFreeFieldLbl06       ON dmsfree (FieldLbl06  );
CREATE        INDEX IndDmsFreeFieldLbl07       ON dmsfree (FieldLbl07  );
CREATE        INDEX IndDmsFreeFieldLbl08       ON dmsfree (FieldLbl08  );
CREATE        INDEX IndDmsFreeFieldLbl09       ON dmsfree (FieldLbl09  );
CREATE        INDEX IndDmsFreeFieldLbl10       ON dmsfree (FieldLbl10  );
CREATE        INDEX IndDmsFreeFieldVal01       ON dmsfree (FieldVal01  );
CREATE        INDEX IndDmsFreeFieldVal02       ON dmsfree (FieldVal02  );
CREATE        INDEX IndDmsFreeFieldVal03       ON dmsfree (FieldVal03  );
CREATE        INDEX IndDmsFreeFieldVal04       ON dmsfree (FieldVal04  );
CREATE        INDEX IndDmsFreeFieldVal05       ON dmsfree (FieldVal05  );
CREATE        INDEX IndDmsFreeFieldVal06       ON dmsfree (FieldVal06  );
CREATE        INDEX IndDmsFreeFieldVal07       ON dmsfree (FieldVal07  );
CREATE        INDEX IndDmsFreeFieldVal08       ON dmsfree (FieldVal08  );
CREATE        INDEX IndDmsFreeFieldVal09       ON dmsfree (FieldVal09  );
CREATE        INDEX IndDmsFreeFieldVal10       ON dmsfree (FieldVal10  );
CREATE        INDEX IndDmsFreeCreateDate       ON dmsfree (CreateDate  );
CREATE        INDEX IndDmsFreeCreateTime       ON dmsfree (CreateTime  );

NEW_RECORD dmsfree 0;
